petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscGaussLobattoLegendreIntegrate

Compute the L2 integral of a function on the GLL points

### Synopsis

    #include "petscdt.h"
    PetscErrorCode PetscGaussLobattoLegendreIntegrate(PetscInt n,PetscReal *nodes,PetscReal *weights,const PetscReal *f,PetscReal *in)

Not Collective

### Input Parameter

| n | - the number of GLL nodes
| nodes | - the GLL nodes
| weights | - the GLL weights
| f | - the function values at the nodes

### Output Parameter

in -the value of the integral

### See Also

PetscDTGaussLobattoLegendreQuadrature()

### Level

beginner

### Location

src/dm/dt/interface/dt.c

### Examples

src/ksp/ksp/tutorials/ex68.c.html
src/ksp/ksp/tutorials/ex69.c.html
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages